package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.ZCMX;
import com.sa.ibiz.demo.demo.service.dto.ZCMXSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[ZCMX] 服务对象接口
 */
public interface ZCMXService extends IService<ZCMX>{

	boolean create(ZCMX et);
	boolean getDraft(ZCMX et);
		ZCMX get(ZCMX et);
	boolean update(ZCMX et);
	boolean checkKey(ZCMX et);
	boolean remove(ZCMX et);
    List<ZCMX> listDefault(ZCMXSearchFilter filter) ;
	Page<ZCMX> searchDefault(ZCMXSearchFilter filter);
	/**	 实体[ZCMX] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }